Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class RandomBitDistImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.RandomBitDistImpl

public class RandomBitDistImpl
extends BaseImpl
implements BooleanDistribution, BooleanDistributionS, RandomBitDistS, RandomBitDist

Random Bit Distribution . A generator that returns uniformly distributed single bit values (i.e. fair coin tosses).

Constructor Summary
`RandomBitDistImpl()`
`RandomBitDistImpl(Zone aZone)` The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.
`RandomBitDistImpl(Zone aZone, SimpleRandomGenerator simpleGenerator)` Use this create message if the generator to be attached is a Simple one:
`RandomBitDistImpl(Zone aZone, SplitRandomGenerator splitGenerator, int vGen)` Use this create message if the generator to be attached is a Split one:

Methods implemented by this class for interface swarm.random.BooleanDistribution
`getBooleanSample, getIntegerSample`

Methods implemented by this class for interface swarm.random.RandomBitDist
`getCoinToss`

Methods implemented by this class for interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomBitDistImpl

    public RandomBitDistImpl()

### RandomBitDistImpl

    public RandomBitDistImpl(Zone aZone,
                             SimpleRandomGenerator simpleGenerator)

  Use this create message if the generator to be attached is a Simple one:

### RandomBitDistImpl

    public RandomBitDistImpl(Zone aZone,
                             SplitRandomGenerator splitGenerator,
                             int vGen)

  Use this create message if the generator to be attached is a Split one:

### RandomBitDistImpl

    public RandomBitDistImpl(Zone aZone)

  The createWithDefaults method creates a distribution object with a default set of seeds and parameters, and its own private generator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD